﻿@model IEnumerable<eCommerce.BackOffice.ViewModels.OrderViewModel>
@using eCommerce.Services.Model.Enums

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th class="text-center" style="width:30px;">#</th>
            <th class="col-sm-1">Fecha</th>
            <th>Cliente</th>
            <th>Tipo</th>
            <th class="text-center">Canal</th>
            <th class="text-center">F. Entrega</th>
            <th class="text-center">F. Pago</th>
            <th class="text-center" nowrap="nowrap">Total ($)</th>
            <th class="text-center">Estado</th>      
            <th class="text-center">Cobro</th>
            <th class="text-center">Entrega</th>
            <th class="text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td class="text-center">@Html.DisplayFor(modelItem => item.OrderId)</td>
            <td>@string.Format("{0:dd/MM/yyyy}", item.CreatedDate)</td>
            <td>@Html.DisplayFor(modelItem => item.CustomerName)</td>
            <td>@item.UserType</td>
            <td class="text-center">@(((OrderChannelEnum)item.Channel))</td>
            <td class="text-center">
               @switch (((DeliveryMethodEnum)item.DeliveryMethodId))
                {
                    case DeliveryMethodEnum.RetiraLocal:
                    <label>Retira en Local</label>
                       break;
                   case DeliveryMethodEnum.Transporte:
                    <label>Transporte</label>
                       break;
                   case DeliveryMethodEnum.DomicilioCaba:
                    <label>A domicilio CABA</label>
                       break;
                   case DeliveryMethodEnum.DomicilioGba:
                    <label>A domicilio GBA</label>
                       break;
               }
            </td>
            <td class="text-center">
                @(((PaymentMethodEnum)item.PaymentMethodId).ToString())
            </td>
            <td class="text-right" nowrap="nowrap">
                <label>@string.Format("{0:C2}", item.Total)</label>
            </td>
            <td class="text-center">
                @switch (((OrderStatusEnum)item.OrderStatusId))
                {
                    case OrderStatusEnum.Confirmado:
                        <span class="label label-outline label-primary">CONFIRMADO</span>
                        break;
                    case OrderStatusEnum.Cancelada:
                        <span class="label label-dark">CANCELADA</span>
                        break;
                    case OrderStatusEnum.Consigna:
                        <span class="label label-outline label-info">CONSIGNA</span>
                        break;
                    case OrderStatusEnum.EnProceso:
                        <span class="label label-outline label-warning">EN PROCESO</span>
                        break;
                }
            </td>
            @*<td class="text-center">
            @switch (item.PaymentStatusId)
            {
                case (int)PaymentStatusEnum.Pendiente:
                    <span class="label label-outline label-danger">A COBRAR</span>
                    break;
                case (int)PaymentStatusEnum.CobroParcial:
                    <span class="label label-outline label-warning">COBRO PARCIAL</span>
                    break;
                case (int)PaymentStatusEnum.Cobrada:
                    <span class="label label-outline label-success">COBRADA</span>
                    break;
            }
        </td>*@

            <td class="text-center js-payment-status-@item.OrderId" ondblclick="UpdateOrderPaymentStatus(@item.OrderId)" style="cursor:pointer;">
                @switch (item.PaymentStatusId)
                {
                    case (int)PaymentStatusEnum.Pendiente:
                        <span class="label label-outline label-danger">A COBRAR</span>
                        break;
                    case (int)PaymentStatusEnum.Cobrada:
                        <span class="label label-outline label-success">COBRADA</span>
                        break;
                }
            </td>

            @*<td class="text-center">
            @switch (item.DeliveryStatusId)
            {
                case (int)DeliveryStatusEnum.Pendiente:
                    <span class="label label-outline label-danger">A ENTREGAR</span>
                    break;
                case (int)DeliveryStatusEnum.EntregaParcial:
                    <span class="label label-outline label-warning">ENTREGA PARCIAL</span>
                    break;
                case (int)DeliveryStatusEnum.Entregado:
                    <span class="label label-outline label-success">ENTREGADO</span>
                    break;
            }
        </td>*@

            <td class="text-center js-delivery-status-@item.OrderId" ondblclick="UpdateOrderDeliveryStatus(@item.OrderId)" style="cursor:pointer;">
                @switch (item.DeliveryStatusId)
                {
                    case (int)DeliveryStatusEnum.Pendiente:
                        <span class="label label-outline label-danger">A ENTREGAR</span>
                        break;
                    case (int)DeliveryStatusEnum.Entregado:
                        <span class="label label-outline label-success">ENTREGADO</span>
                        break;
                }
            </td>
            
            <td class="actions text-left no-wrap">
                
                <a href="/Orders/OrderUpdate/@item.OrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>
                
                <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default sendmail-row"
                   data-toggle="tooltip" data-original-title="Enviar Comprobante de Compra" data-rowid="@item.OrderId" onclick="fSendMailDialog(@item.OrderId)"><i class="icon fa-envelope-o" aria-hidden="true"></i></a>
                
                <a href="/CustomerAccounting?Id=@item.CustomerId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Cobros"><i class="icon fa-money" aria-hidden="true"></i></a>
                
                <a href="/DeliveryOrders/DeliveryOrderList/@item.OrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Entregas"><i class="icon fa-bus" aria-hidden="true"></i></a>

                <a href="/Orders/OrderPrint/@item.OrderId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Imprimir" target="_blank"><i class="icon fa-print" aria-hidden="true"></i></a>
                
                @if (item.OrderStatusId != (int)OrderStatusEnum.Cancelada)
                {
                    <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default cancel-row"
                       data-toggle="tooltip" data-original-title="Cancelar" data-rowid="@item.OrderId" onclick="fCancelDialog(@item.OrderId)"><i class="icon fa-ban" aria-hidden="true"></i></a>
                }
                else
                {
                    <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                       data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.OrderId" onclick="fDeleteDialog(@item.OrderId)"><i class="icon wb-trash" aria-hidden="true"></i></a>
                }

            </td>
        </tr>
    }
    </tbody>
</table>
